## pg-cron 1.0.2

=== Makefile ===
# src/test/modules/pg_cron/Makefile

EXTENSION = pg_cron
EXTVERSION = 1.0

DATA_built = $(EXTENSION)--$(EXTVERSION).sql
DATA = $(wildcard $(EXTENSION)--*--*.sql)

# compilation configuration
MODULE_big = $(EXTENSION)
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter  -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
SHLIB_LINK = $(libpq)
EXTRA_CLEAN += $(addprefix src/,*.gcno *.gcda) # clean up after profiling runs

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

$(EXTENSION)--1.0.sql: $(EXTENSION).sql $(EXTENSION)--0.1--1.0.sql
	cat $^ > $@

=== debian/changelog ===
pg-cron (1.0.2-1) unstable; urgency=medium

  * Initial release.
  * Fix type mismatches on 32bit.
  * Disable warnings about maybe-uninitialized variables, Ubuntu/ppc64el needs
    this for entry.c.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 27 Nov 2017 10:31:29 +0100

=== debian/control ===
Source: pg-cron
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-cron.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-cron.git
Homepage: https://github.com/citusdata/pg_cron

Package: postgresql-10-cron
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Run periodic jobs in PostgreSQL
 pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
 that runs inside the database as an extension. It uses the same syntax as
 regular cron, but it allows you to schedule PostgreSQL commands directly from
 the database. pg_cron can run multiple jobs in parallel, but it runs at most
 one instance of a job at a time. If a second run is supposed to start before
 the first one finishes, then the second run is queued and started as soon as
 the first run completes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-cron

override_dh_installdocs:
	dh_installdocs --all README.*

%:
	dh $@

## pg-cron 1.1.3

=== Makefile ===
# src/test/modules/pg_cron/Makefile

EXTENSION = pg_cron
EXTVERSION = 1.1

DATA_built = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--1.0.sql
DATA = $(wildcard $(EXTENSION)--*--*.sql)
REGRESS = pg_cron-test 

# compilation configuration
MODULE_big = $(EXTENSION)
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
ifeq ($(CC),gcc)
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
else
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
endif
SHLIB_LINK = $(libpq)
EXTRA_CLEAN += $(addprefix src/,*.gcno *.gcda) # clean up after profiling runs

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

$(EXTENSION)--1.0.sql: $(EXTENSION).sql $(EXTENSION)--0.1--1.0.sql
	cat $^ > $@
$(EXTENSION)--1.1.sql: $(EXTENSION).sql $(EXTENSION)--1.0--1.1.sql
	cat $^ > $@

=== debian/changelog ===
pg-cron (1.1.3-2) unstable; urgency=medium

  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 12 Feb 2019 15:07:34 +0100

pg-cron (1.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 29 Nov 2018 09:32:14 +0100

pg-cron (1.1.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Use -Wno-unknown-warning-option instead of removing -Werror.
    (Supported by clang, and -Wno-* is ignored by gcc by default.)

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 12:45:13 +0200

pg-cron (1.1.2-2) unstable; urgency=medium

  * Remove -Werror so clang doesn't die on -Wno-maybe-uninitialized with PG11.

 -- Christoph Berg <myon@debian.org>  Sun, 29 Jul 2018 11:57:56 +0200

pg-cron (1.1.2-1) unstable; urgency=medium

  * New upstream version with PG 11 support.
  * Set CC=gcc to enable -Wno-maybe-uninitialized in Makefile.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Jul 2018 20:39:10 +0200

=== debian/control ===
Source: pg-cron
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
Homepage: https://github.com/citusdata/pg_cron

Package: postgresql-11-cron
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: Run periodic jobs in PostgreSQL
 pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
 that runs inside the database as an extension. It uses the same syntax as
 regular cron, but it allows you to schedule PostgreSQL commands directly from
 the database. pg_cron can run multiple jobs in parallel, but it runs at most
 one instance of a job at a time. If a second run is supposed to start before
 the first one finishes, then the second run is queued and started as soon as
 the first run completes.

## pg-cron 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # src/test/modules/pg_cron/Makefile
 
 EXTENSION = pg_cron
-EXTVERSION = 1.1
+EXTVERSION = 1.2
 
-DATA_built = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--1.0.sql
+DATA_built = $(EXTENSION)--1.0.sql
 DATA = $(wildcard $(EXTENSION)--*--*.sql)
 REGRESS = pg_cron-test 
 
@@ -22,7 +22,5 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
-$(EXTENSION)--1.0.sql: $(EXTENSION).sql $(EXTENSION)--0.1--1.0.sql
+$(EXTENSION)--1.0.sql: $(EXTENSION).sql
 	cat $^ > $@
-$(EXTENSION)--1.1.sql: $(EXTENSION).sql $(EXTENSION)--1.0--1.1.sql
-	cat $^ > $@

=== debian/changelog ===
pg-cron (1.2.0-1) unstable; urgency=medium

  * New upstream version with PG12 support.
  * Fix testsuite for compatibility with 9.x.

 -- Christoph Berg <myon@debian.org>  Sat, 26 Oct 2019 09:23:54 +0200

pg-cron (1.1.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Apr 2019 15:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
 
-Package: postgresql-11-cron
+Package: postgresql-12-cron
 Architecture: any
-Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -20,4 +20,3 @@
  one instance of a job at a time. If a second run is supposed to start before
  the first one finishes, then the second run is queued and started as soon as
  the first run completes.
-

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Makefile only uses -Wno-maybe-uninitialized (needed on Ubuntu ppc64el) if CC=gcc
+export CC = gcc
 
 include /usr/share/postgresql-common/pgxs_debian_control.mk

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: cron
Restrictions: allow-stderr

## pg-cron 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # src/test/modules/pg_cron/Makefile
 
 EXTENSION = pg_cron
-EXTVERSION = 1.2
+EXTVERSION = 1.3
 
 DATA_built = $(EXTENSION)--1.0.sql
 DATA = $(wildcard $(EXTENSION)--*--*.sql)

=== debian/changelog ===
pg-cron (1.3.0-2) unstable; urgency=medium

  * R³: no.
  * Work around problem in PG13.0's atomics/arch-ppc.h.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 13:22:42 +0200

pg-cron (1.3.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version with PG13 support.
  * Use dh --with pgxs_loop and run tests at build-time as well.
  * DH 13.
  * debian/tests: Use installed-versions instead of supported-versions.
  * debian/tests: Run installcheck via autopkgtest as well, next to our custom
    test.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Oct 2020 11:10:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
 
-Package: postgresql-12-cron
+Package: postgresql-13-cron
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as

=== debian/tests/control ===
Depends: @, make
Tests: cron
Restrictions: allow-stderr

Depends: @, make
Test-Command: pg_buildext -o 'shared_preload_libraries=pg_cron' installcheck
Features: test-name=installcheck
Restrictions: allow-stderr

## pg-cron 1.3.1

=== debian/changelog ===
pg-cron (1.3.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 22 Apr 2021 17:15:31 +0200

pg-cron (1.3.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Apr 2021 17:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,72 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
+
+Package: postgresql-9.5-cron
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-9.6-cron
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-10-cron
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-11-cron
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-12-cron
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
 
 Package: postgresql-13-cron
 Architecture: any

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg18.04+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

pg-cron (1.4.1-2) unstable; urgency=medium

  * Fix testsuite failure on some 32-bit architectures.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 13:30:57 +0100

pg-cron (1.4.1-1) unstable; urgency=medium

  * Upload for PG14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 14:22:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,12 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
-
-Package: postgresql-9.5-cron
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: Run periodic jobs in PostgreSQL
- pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
- that runs inside the database as an extension. It uses the same syntax as
- regular cron, but it allows you to schedule PostgreSQL commands directly from
- the database. pg_cron can run multiple jobs in parallel, but it runs at most
- one instance of a job at a time. If a second run is supposed to start before
- the first one finishes, then the second run is queued and started as soon as
- the first run completes.
-
-Package: postgresql-9.6-cron
-Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
-Description: Run periodic jobs in PostgreSQL
- pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
- that runs inside the database as an extension. It uses the same syntax as
- regular cron, but it allows you to schedule PostgreSQL commands directly from
- the database. pg_cron can run multiple jobs in parallel, but it runs at most
- one instance of a job at a time. If a second run is supposed to start before
- the first one finishes, then the second run is queued and started as soon as
- the first run completes.
 
 Package: postgresql-10-cron
 Architecture: any
@@ -81,3 +57,15 @@
  one instance of a job at a time. If a second run is supposed to start before
  the first one finishes, then the second run is queued and started as soon as
  the first run completes.
+
+Package: postgresql-14-cron
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg20.04+1

=== .pc/13.0-ppc-atomics/Makefile ===
# src/test/modules/pg_cron/Makefile

EXTENSION = pg_cron
EXTVERSION = 1.3

DATA_built = $(EXTENSION)--1.0.sql
DATA = $(wildcard $(EXTENSION)--*--*.sql)
REGRESS = pg_cron-test 

# compilation configuration
MODULE_big = $(EXTENSION)
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
ifeq ($(CC),gcc)
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unknown-warning-option -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
else
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
endif
SHLIB_LINK = $(libpq)
EXTRA_CLEAN += $(addprefix src/,*.gcno *.gcda) # clean up after profiling runs

PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

$(EXTENSION)--1.0.sql: $(EXTENSION).sql
	cat $^ > $@

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg21.10+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~),
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg22.04+1

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,14 @@
 MODULE_big = $(EXTENSION)
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
 ifeq ($(CC),gcc)
-    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
+    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Wno-unknown-warning-option -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 else
     PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 endif
 SHLIB_LINK = $(libpq)
 EXTRA_CLEAN += $(addprefix src/,*.gcno *.gcda) # clean up after profiling runs
 
-PG_CONFIG = pg_config
+PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg90+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg100+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg110+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg120+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

## pg-cron 1.4.1~20220627.1458-2~1.gite6adf03.pgdg+1

=== debian/changelog ===
pg-cron (1.4.1~20220627.1458-2~1.gite6adf03.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

## pg-cron 1.4.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 MODULE_big = $(EXTENSION)
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
 ifeq ($(CC),gcc)
-    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Wno-unknown-warning-option -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
+    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 else
     PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 endif

=== debian/changelog ===
pg-cron (1.4.1-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 13:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,18 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
+
+Package: postgresql-9.6-cron
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
 
 Package: postgresql-10-cron
 Architecture: any

## pg-cron 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # src/test/modules/pg_cron/Makefile
 
 EXTENSION = pg_cron
-EXTVERSION = 1.3
 
 DATA_built = $(EXTENSION)--1.0.sql
 DATA = $(wildcard $(EXTENSION)--*--*.sql)
+
+REGRESS_OPTS =--temp-config=./pg_cron.conf --temp-instance=./tmp_check
 REGRESS = pg_cron-test 
 
 # compilation configuration

=== debian/changelog ===
pg-cron (1.4.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 16:03:09 +0100

pg-cron (1.4.2-1) unstable; urgency=medium

  * New upstream version.
  * Makefile: Disable temp instance for regression tests.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 19:52:11 +0200

=== debian/control ===
Source: pg-cron
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
Homepage: https://github.com/citusdata/pg_cron

Package: postgresql-15-cron
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: Run periodic jobs in PostgreSQL
 pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
 that runs inside the database as an extension. It uses the same syntax as
 regular cron, but it allows you to schedule PostgreSQL commands directly from
 the database. pg_cron can run multiple jobs in parallel, but it runs at most
 one instance of a job at a time. If a second run is supposed to start before
 the first one finishes, then the second run is queued and started as soon as
 the first run completes.

## pg-cron 1.6.2

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 MODULE_big = $(EXTENSION)
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
 ifeq ($(CC),gcc)
-    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-maybe-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
+    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-uninitialized -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 else
     PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 endif

=== debian/changelog ===
pg-cron (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Oct 2023 13:35:21 +0200

pg-cron (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 16:41:10 +0200

pg-cron (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 18:58:47 +0200

pg-cron (1.5.2-2) unstable; urgency=medium

  * Fix compatibility with PG16.
  * Remove K&R function definitions, clang-15 doesn't like them.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 20:07:53 +0200

pg-cron (1.5.2-1) experimental; urgency=medium

  * New upstream version 1.5.2.
  * Test latest version instead of hardcoded value 1.4.

 -- Christoph Berg <myon@debian.org>  Fri, 12 May 2023 18:48:11 +0200

pg-cron (1.5.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Mar 2023 12:13:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
 
-Package: postgresql-15-cron
+Package: postgresql-16-cron
 Architecture: any
-Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as

## pg-cron 1.6.3

=== debian/changelog ===
pg-cron (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 17:06:04 +0200

## pg-cron 1.6.4

=== debian/changelog ===
pg-cron (1.6.4-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 17 Aug 2024 17:16:46 +0200

pg-cron (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Aug 2024 17:16:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,78 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
 Homepage: https://github.com/citusdata/pg_cron
 
+Package: postgresql-10-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-11-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-12-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-13-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-14-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
+Package: postgresql-15-cron
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.
+
 Package: postgresql-16-cron
 Architecture: any
 Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}

## pg-cron 1.6.5

=== debian/changelog ===
pg-cron (1.6.5-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Dec 2024 19:44:16 +0100

pg-cron (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Dec 2024 19:44:16 +0100

pg-cron (1.6.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:11:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ debhelper-compat (= 13),
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
 Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
@@ -12,7 +17,10 @@
 
 Package: postgresql-10-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -24,7 +32,10 @@
 
 Package: postgresql-11-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -36,7 +47,10 @@
 
 Package: postgresql-12-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -48,7 +62,10 @@
 
 Package: postgresql-13-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -60,7 +77,10 @@
 
 Package: postgresql-14-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -72,7 +92,10 @@
 
 Package: postgresql-15-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -84,7 +107,10 @@
 
 Package: postgresql-16-cron
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: Run periodic jobs in PostgreSQL
  pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
  that runs inside the database as an extension. It uses the same syntax as
@@ -93,3 +119,18 @@
  one instance of a job at a time. If a second run is supposed to start before
  the first one finishes, then the second run is queued and started as soon as
  the first run completes.
+
+Package: postgresql-17-cron
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Run periodic jobs in PostgreSQL
+ pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
+ that runs inside the database as an extension. It uses the same syntax as
+ regular cron, but it allows you to schedule PostgreSQL commands directly from
+ the database. pg_cron can run multiple jobs in parallel, but it runs at most
+ one instance of a job at a time. If a second run is supposed to start before
+ the first one finishes, then the second run is queued and started as soon as
+ the first run completes.

## pg-cron 1.6.7

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 else
     PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)
 endif
+ifeq ($(shell uname -s),SunOS)
+    PG_CPPFLAGS += -Wno-sign-compare -D__EXTENSIONS__
+endif
 SHLIB_LINK = $(libpq)
 EXTRA_CLEAN += $(addprefix src/,*.gcno *.gcda) # clean up after profiling runs

=== debian/changelog ===
pg-cron (1.6.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117275)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:07:11 +0200

pg-cron (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Sep 2025 22:26:38 +0200

=== debian/control ===
Source: pg-cron
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/pg-cron
Vcs-Git: https://salsa.debian.org/postgresql/pg-cron.git
Homepage: https://github.com/citusdata/pg_cron

Package: postgresql-18-cron
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Run periodic jobs in PostgreSQL
 pg_cron is a simple cron-based job scheduler for PostgreSQL (9.5 or higher)
 that runs inside the database as an extension. It uses the same syntax as
 regular cron, but it allows you to schedule PostgreSQL commands directly from
 the database. pg_cron can run multiple jobs in parallel, but it runs at most
 one instance of a job at a time. If a second run is supposed to start before
 the first one finishes, then the second run is queued and started as soon as
 the first run completes.

=== debian/rules ===
#!/usr/bin/make -f

# Makefile only uses -Wno-maybe-uninitialized (needed on Ubuntu ppc64el) if CC=gcc
export CC = gcc

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	+pg_buildext -o 'shared_preload_libraries=pg_cron' installcheck . . postgresql-%v-cron

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 cron,
Restrictions:
 allow-stderr,

Depends:
 postgresql-common-dev,
 @,
Test-Command: pg_buildext -o 'shared_preload_libraries=pg_cron' installcheck
Features:
 test-name=installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/citusdata/pg_cron/tags .*/v(.*).tar.gz
